Cforms & CformsII <= 14.10.1 - CAPTCHA Bypass



Description
The cformsII plugin (slug: cforms) and its fork (slug: cforms2) have a CAPTCHA Bypass vulnerability. The MD5 hash for matching the answer is sent with the forms and so it can be overwritten. This is fixed in the fork (cforms2) with version 14.11 (see changelog for confirmation). The original delicious:days version (cforms) is left vulnerable.

Affects Plugins

fixed in version 14.11

References

PACKETSTORM 96729
SECURITYFOCUS 45418
URL http://cosine-security.blogspot.de/2010/12/cformsii-captcha-bypass-vulnerability.html

Classification

Type BYPASS

Miscellaneous

Submitter Bastian Germann
Views 4125
Verified No
WPVDB ID 8781

Timeline

Publicly Published 2010-12-15 (over 8 years ago)
Added 2017-03-20 (over 2 years ago)
Last Updated 2017-03-20 (over 2 years ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin